Получил сообщение об ошибке при создании проекта в новом рабочем пространстве

? Harikrishnan @ | Original: StackOverFlow

Я новичок на андроид развития. Я попытался создать новое рабочее пространство с целевыми SDK как API 21 и Собран с API 19. Я установил SDK из API19 и 20, а не Android5 . Я создал новую рабочую и создал новый проект, в котором я закончил с ниже ошибки при компиляции проекта после его создания . Может кто-нибудь помочь мне, как избавиться от этого ?

Error details:



Top 5 Respuesta

1QArea @

Вы изменили цель построения проекта для Android 4.4.2 тоже?

Здесь ребята были те же проблемы : http://stackoverflow.com/a/14843198/3864698



2Muhammad Ebad @

Один пыльников, что вы можете попробовать это, чтобы открыть файл project.properties в Android- поддержки- v7- AppCompat и изменить целевую цель. А потом просто сделать проект - > Очистить, чтобы изменения вступили в силу.

3Andy Dent @

Я получил подобную ошибку, как кого-то нового установкой для Android инструменты и, ошибочно выбрали 4.4W, а также 4.4.2 в диспетчере Android SDK.

Это приводит в том, как API 20 и API 19 установлен, что означает, API 20, кажется, новые и будут подобраны по умолчанию для новых проектов.

Тем не менее, API 20 носимых только .

Вы можете увидеть здесь, в Получил сообщение об ошибке при создании проекта в новом рабочем пространстве, что 4.4W оказалась в пути .

Иappcompat_v7 и цели проекта HelloAndy имел эту проблему пути.

Я редактировал project.properties для обоих, и изменил цель = андроид -20 TARGET = андроид -19, то сделал Обновить на обоих проектов ( щелкните правой кнопкой мыши appcompat_v7 и другой проект ) . Это обновленный пути сборки, чтобы указать на правильный Android SDK.

4pokerface @

Обновите файл project.properties из AppCompat v7, в котором есть: target=android-19 до target=android-21

Также обновить google play services библиотеку ( по update Я имею в виду обновить его в SDK Manager и реимпорт и т.д.)

5Adgaonker Shashank @

Просто удалите этот стиль линии везде, где найдена ошибка, то очистить свой проект

и сделать свой проект 5,0 выставиться